	.file	"fxsave.c"
	.section	.debug_abbrev,"",@progbits
.Ldebug_abbrev0:
	.section	.debug_info,"",@progbits
.Ldebug_info0:
	.section	.debug_line,"",@progbits
.Ldebug_line0:
	.text
.Ltext0:
	.cfi_sections	.debug_frame
	.section	.rodata
.LC0:
	.string	"../../../tests/malloc.h"
.LC1:
	.string	"x"
	.align 4
.LC2:
	.string	"0 == ((16-1) & (unsigned long)x)"
	.text
	.type	memalign16, @function
memalign16:
.LFB0:
	.file 1 "../../../tests/malloc.h"
	.loc 1 15 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 1 21 0
	movl	8(%ebp), %eax
	movl	%eax, 4(%esp)
	movl	$16, (%esp)
	call	memalign
	movl	%eax, -12(%ebp)
	.loc 1 23 0
	cmpl	$0, -12(%ebp)
	jne	.L2
	movl	$__PRETTY_FUNCTION__.2435, 12(%esp)
	movl	$23, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC1, (%esp)
	call	__assert_fail
.L2:
	.loc 1 24 0
	movl	-12(%ebp), %eax
	andl	$15, %eax
	testl	%eax, %eax
	je	.L3
	movl	$__PRETTY_FUNCTION__.2435, 12(%esp)
	movl	$24, 8(%esp)
	movl	$.LC0, 4(%esp)
	movl	$.LC2, (%esp)
	call	__assert_fail
.L3:
	.loc 1 25 0
	movl	-12(%ebp), %eax
	.loc 1 26 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE0:
	.size	memalign16, .-memalign16
.globl vec0
	.section	.rodata
	.align 4
	.type	vec0, @object
	.size	vec0, 16
vec0:
	.long	305419896
	.long	287454020
	.long	1432778632
	.long	-2023406815
.globl vec1
	.align 4
	.type	vec1, @object
	.size	vec1, 16
vec1:
	.long	-1412567295
	.long	-1430532899
	.long	-285278191
	.long	285138106
.globl vecZ
	.align 4
	.type	vecZ, @object
	.size	vecZ, 16
vecZ:
	.zero	16
	.text
.globl do_fxsave
	.type	do_fxsave, @function
do_fxsave:
.LFB1:
	.file 2 "fxsave.c"
	.loc 2 17 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	.loc 2 18 0
	movl	8(%ebp), %eax
#APP
# 18 "fxsave.c" 1
	fxsave (%eax)
# 0 "" 2
	.loc 2 19 0
#NO_APP
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE1:
	.size	do_fxsave, .-do_fxsave
.globl do_fxrstor
	.type	do_fxrstor, @function
do_fxrstor:
.LFB2:
	.loc 2 21 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	.loc 2 22 0
	movl	8(%ebp), %eax
#APP
# 22 "fxsave.c" 1
	fxrstor (%eax)
# 0 "" 2
	.loc 2 23 0
#NO_APP
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE2:
	.size	do_fxrstor, .-do_fxrstor
.globl do_zeroise
	.type	do_zeroise, @function
do_zeroise:
.LFB3:
	.loc 2 26 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	.loc 2 27 0
#APP
# 27 "fxsave.c" 1
	finit
# 0 "" 2
	.loc 2 28 0
# 28 "fxsave.c" 1
	fldz
	fldz
	fldz
	fldz
	fldz
	fldz
	fldz
	fldz
	finit

# 0 "" 2
	.loc 2 38 0
# 38 "fxsave.c" 1
	movups vecZ, %xmm0
# 0 "" 2
	.loc 2 39 0
# 39 "fxsave.c" 1
	movups vecZ, %xmm1
# 0 "" 2
	.loc 2 40 0
# 40 "fxsave.c" 1
	movups vecZ, %xmm2
# 0 "" 2
	.loc 2 41 0
# 41 "fxsave.c" 1
	movups vecZ, %xmm3
# 0 "" 2
	.loc 2 42 0
# 42 "fxsave.c" 1
	movups vecZ, %xmm4
# 0 "" 2
	.loc 2 43 0
# 43 "fxsave.c" 1
	movups vecZ, %xmm5
# 0 "" 2
	.loc 2 44 0
# 44 "fxsave.c" 1
	movups vecZ, %xmm6
# 0 "" 2
	.loc 2 45 0
# 45 "fxsave.c" 1
	movups vecZ, %xmm7
# 0 "" 2
	.loc 2 46 0
# 46 "fxsave.c" 1
	pushl $0
	ldmxcsr 0(%esp)
	addl $4,%esp

# 0 "" 2
	.loc 2 50 0
#NO_APP
	popl	%ebp
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE3:
	.size	do_zeroise, .-do_zeroise
.globl do_setup_then_fxsave
	.type	do_setup_then_fxsave, @function
do_setup_then_fxsave:
.LFB4:
	.loc 2 54 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$4, %esp
	.loc 2 55 0
#APP
# 55 "fxsave.c" 1
	finit
# 0 "" 2
	.loc 2 56 0
# 56 "fxsave.c" 1
	fldpi
# 0 "" 2
	.loc 2 57 0
# 57 "fxsave.c" 1
	fld1
# 0 "" 2
	.loc 2 58 0
# 58 "fxsave.c" 1
	fldln2
# 0 "" 2
	.loc 2 59 0
# 59 "fxsave.c" 1
	fldlg2
# 0 "" 2
	.loc 2 60 0
# 60 "fxsave.c" 1
	fld %st(3)
# 0 "" 2
	.loc 2 61 0
# 61 "fxsave.c" 1
	fld %st(3)
# 0 "" 2
	.loc 2 62 0
# 62 "fxsave.c" 1
	movups vec0, %xmm0
# 0 "" 2
	.loc 2 63 0
# 63 "fxsave.c" 1
	movups vec1, %xmm1
# 0 "" 2
	.loc 2 64 0
# 64 "fxsave.c" 1
	xorps %xmm2, %xmm2
# 0 "" 2
	.loc 2 65 0
# 65 "fxsave.c" 1
	movaps %xmm2, %xmm3
# 0 "" 2
	.loc 2 66 0
# 66 "fxsave.c" 1
	movaps %xmm2, %xmm4
# 0 "" 2
	.loc 2 67 0
# 67 "fxsave.c" 1
	movaps %xmm2, %xmm5
# 0 "" 2
	.loc 2 68 0
# 68 "fxsave.c" 1
	movaps %xmm2, %xmm6
# 0 "" 2
	.loc 2 69 0
# 69 "fxsave.c" 1
	movaps %xmm1, %xmm7
# 0 "" 2
	.loc 2 70 0
# 70 "fxsave.c" 1
	xorps %xmm0, %xmm7
# 0 "" 2
	.loc 2 71 0
#NO_APP
	movl	8(%ebp), %eax
	movl	%eax, (%esp)
	call	do_fxsave
	.loc 2 72 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE4:
	.size	do_setup_then_fxsave, .-do_setup_then_fxsave
.globl isFPLsbs
	.type	isFPLsbs, @function
isFPLsbs:
.LFB5:
	.loc 2 75 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$16, %esp
	.loc 2 77 0
	movl	$32, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L14
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L15
.L14:
	movl	$1, %eax
	jmp	.L16
.L15:
	.loc 2 78 0
	movl	$48, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L17
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L18
.L17:
	movl	$1, %eax
	jmp	.L16
.L18:
	.loc 2 79 0
	movl	$64, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L19
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L20
.L19:
	movl	$1, %eax
	jmp	.L16
.L20:
	.loc 2 80 0
	movl	$80, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L21
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L22
.L21:
	movl	$1, %eax
	jmp	.L16
.L22:
	.loc 2 81 0
	movl	$96, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L23
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L24
.L23:
	movl	$1, %eax
	jmp	.L16
.L24:
	.loc 2 82 0
	movl	$112, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L25
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L26
.L25:
	movl	$1, %eax
	jmp	.L16
.L26:
	.loc 2 83 0
	movl	$128, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L27
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L28
.L27:
	movl	$1, %eax
	jmp	.L16
.L28:
	.loc 2 84 0
	movl	$144, -4(%ebp)
	movl	8(%ebp), %eax
	cmpl	-4(%ebp), %eax
	je	.L29
	movl	-4(%ebp), %eax
	addl	$1, %eax
	cmpl	8(%ebp), %eax
	jne	.L30
.L29:
	movl	$1, %eax
	jmp	.L16
.L30:
	.loc 2 85 0
	movl	$0, %eax
.L16:
	.loc 2 86 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE5:
	.size	isFPLsbs, .-isFPLsbs
	.section	.rodata
.LC3:
	.string	"%3d   "
.LC4:
	.string	"xx "
.LC5:
	.string	"%02x "
	.text
.globl show
	.type	show, @function
show:
.LFB6:
	.loc 2 89 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	subl	$40, %esp
	.loc 2 91 0
	movl	$0, -12(%ebp)
	jmp	.L33
.L38:
	.loc 2 92 0
	movl	-12(%ebp), %eax
	andl	$15, %eax
	testl	%eax, %eax
	jne	.L34
	.loc 2 93 0
	movl	$.LC3, %eax
	movl	-12(%ebp), %edx
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L34:
	.loc 2 94 0
	cmpl	$0, 12(%ebp)
	je	.L35
	movl	-12(%ebp), %eax
	movl	%eax, (%esp)
	call	isFPLsbs
	testl	%eax, %eax
	je	.L35
	.loc 2 95 0
	movl	$.LC4, %eax
	movl	%eax, (%esp)
	call	printf
	.loc 2 94 0
	jmp	.L36
.L35:
	.loc 2 97 0
	movl	-12(%ebp), %eax
	addl	8(%ebp), %eax
	movzbl	(%eax), %eax
	movzbl	%al, %edx
	movl	$.LC5, %eax
	movl	%edx, 4(%esp)
	movl	%eax, (%esp)
	call	printf
.L36:
	.loc 2 98 0
	cmpl	$0, -12(%ebp)
	jle	.L37
	movl	-12(%ebp), %eax
	movl	%eax, %edx
	sarl	$31, %edx
	shrl	$28, %edx
	addl	%edx, %eax
	andl	$15, %eax
	subl	%edx, %eax
	cmpl	$15, %eax
	jne	.L37
	.loc 2 99 0
	movl	$10, (%esp)
	call	putchar
.L37:
	.loc 2 91 0
	addl	$1, -12(%ebp)
.L33:
	cmpl	$511, -12(%ebp)
	jle	.L38
	.loc 2 101 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE6:
	.size	show, .-show
	.section	.rodata
	.align 4
.LC6:
	.string	"Re-run with any arg to suppress least-significant\n   16 bits of FP numbers"
.LC7:
	.string	"\nBEFORE"
.LC8:
	.string	"\nZEROED"
.LC9:
	.string	"\nRESTORED"
	.text
.globl main
	.type	main, @function
main:
.LFB7:
	.loc 2 105 0
	.cfi_startproc
	pushl	%ebp
	.cfi_def_cfa_offset 8
	.cfi_offset 5, -8
	movl	%esp, %ebp
	.cfi_def_cfa_register 5
	andl	$-16, %esp
	subl	$32, %esp
	.loc 2 106 0
	movl	$512, (%esp)
	call	memalign16
	movl	%eax, 16(%esp)
	.loc 2 107 0
	movl	$512, (%esp)
	call	memalign16
	movl	%eax, 20(%esp)
	.loc 2 108 0
	movl	$512, (%esp)
	call	memalign16
	movl	%eax, 24(%esp)
	.loc 2 109 0
	cmpl	$1, 8(%ebp)
	setg	%al
	movzbl	%al, %eax
	movl	%eax, 28(%esp)
	.loc 2 110 0
	movl	$.LC6, (%esp)
	call	puts
	.loc 2 112 0
	movl	$512, 8(%esp)
	movl	$85, 4(%esp)
	movl	16(%esp), %eax
	movl	%eax, (%esp)
	call	memset
	.loc 2 113 0
	movl	$512, 8(%esp)
	movl	$85, 4(%esp)
	movl	20(%esp), %eax
	movl	%eax, (%esp)
	call	memset
	.loc 2 114 0
	movl	$512, 8(%esp)
	movl	$85, 4(%esp)
	movl	24(%esp), %eax
	movl	%eax, (%esp)
	call	memset
	.loc 2 117 0
	movl	16(%esp), %eax
	movl	%eax, (%esp)
	call	do_setup_then_fxsave
	.loc 2 118 0
	movl	$.LC7, (%esp)
	call	puts
	.loc 2 119 0
	movl	28(%esp), %eax
	movl	%eax, 4(%esp)
	movl	16(%esp), %eax
	movl	%eax, (%esp)
	call	show
	.loc 2 123 0
	call	do_zeroise
	.loc 2 124 0
	movl	20(%esp), %eax
	movl	%eax, (%esp)
	call	do_fxsave
	.loc 2 125 0
	movl	$.LC8, (%esp)
	call	puts
	.loc 2 126 0
	movl	28(%esp), %eax
	movl	%eax, 4(%esp)
	movl	20(%esp), %eax
	movl	%eax, (%esp)
	call	show
	.loc 2 129 0
	movl	16(%esp), %eax
	movl	%eax, (%esp)
	call	do_fxrstor
	.loc 2 130 0
	movl	24(%esp), %eax
	movl	%eax, (%esp)
	call	do_fxsave
	.loc 2 131 0
	movl	$.LC9, (%esp)
	call	puts
	.loc 2 132 0
	movl	28(%esp), %eax
	movl	%eax, 4(%esp)
	movl	24(%esp), %eax
	movl	%eax, (%esp)
	call	show
	.loc 2 134 0
	movl	16(%esp), %eax
	movl	%eax, (%esp)
	call	free
	movl	20(%esp), %eax
	movl	%eax, (%esp)
	call	free
	movl	24(%esp), %eax
	movl	%eax, (%esp)
	call	free
	.loc 2 136 0
	movl	$0, %eax
	.loc 2 137 0
	leave
	.cfi_restore 5
	.cfi_def_cfa 4, 4
	ret
	.cfi_endproc
.LFE7:
	.size	main, .-main
	.section	.rodata
	.type	__PRETTY_FUNCTION__.2435, @object
	.size	__PRETTY_FUNCTION__.2435, 11
__PRETTY_FUNCTION__.2435:
	.string	"memalign16"
	.text
.Letext0:
	.file 3 "/usr/lib/gcc/i686-redhat-linux/4.4.5/include/stddef.h"
	.section	.debug_info
	.long	0x29e
	.value	0x3
	.long	.Ldebug_abbrev0
	.byte	0x4
	.uleb128 0x1
	.long	.LASF24
	.byte	0x1
	.long	.LASF25
	.long	.LASF26
	.long	.Ltext0
	.long	.Letext0
	.long	.Ldebug_line0
	.uleb128 0x2
	.long	.LASF27
	.byte	0x3
	.byte	0xd3
	.long	0x30
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF0
	.uleb128 0x3
	.byte	0x1
	.byte	0x8
	.long	.LASF1
	.uleb128 0x3
	.byte	0x2
	.byte	0x7
	.long	.LASF2
	.uleb128 0x3
	.byte	0x4
	.byte	0x7
	.long	.LASF3
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF4
	.uleb128 0x3
	.byte	0x2
	.byte	0x5
	.long	.LASF5
	.uleb128 0x4
	.byte	0x4
	.byte	0x5
	.string	"int"
	.uleb128 0x3
	.byte	0x8
	.byte	0x5
	.long	.LASF6
	.uleb128 0x3
	.byte	0x8
	.byte	0x7
	.long	.LASF7
	.uleb128 0x3
	.byte	0x4
	.byte	0x5
	.long	.LASF8
	.uleb128 0x5
	.byte	0x4
	.uleb128 0x6
	.byte	0x4
	.long	0x7e
	.uleb128 0x3
	.byte	0x1
	.byte	0x6
	.long	.LASF9
	.uleb128 0x7
	.long	.LASF28
	.byte	0x1
	.byte	0xe
	.byte	0x1
	.long	0x76
	.long	.LFB0
	.long	.LFE0
	.byte	0x1
	.byte	0x9c
	.long	0xca
	.uleb128 0x8
	.string	"szB"
	.byte	0x1
	.byte	0xe
	.long	0x25
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x9
	.string	"x"
	.byte	0x1
	.byte	0x10
	.long	0x76
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.uleb128 0xa
	.long	.LASF29
	.long	0xda
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	__PRETTY_FUNCTION__.2435
	.byte	0x0
	.uleb128 0xb
	.long	0x7e
	.long	0xda
	.uleb128 0xc
	.long	0x30
	.byte	0xa
	.byte	0x0
	.uleb128 0xd
	.long	0xca
	.uleb128 0xe
	.byte	0x1
	.long	.LASF10
	.byte	0x2
	.byte	0x11
	.byte	0x1
	.long	.LFB1
	.long	.LFE1
	.byte	0x1
	.byte	0x9c
	.long	0x103
	.uleb128 0x8
	.string	"p"
	.byte	0x2
	.byte	0x11
	.long	0x76
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0xe
	.byte	0x1
	.long	.LASF11
	.byte	0x2
	.byte	0x15
	.byte	0x1
	.long	.LFB2
	.long	.LFE2
	.byte	0x1
	.byte	0x9c
	.long	0x127
	.uleb128 0x8
	.string	"p"
	.byte	0x2
	.byte	0x15
	.long	0x76
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0xf
	.byte	0x1
	.long	.LASF30
	.byte	0x2
	.byte	0x19
	.byte	0x1
	.long	.LFB3
	.long	.LFE3
	.byte	0x1
	.byte	0x9c
	.uleb128 0xe
	.byte	0x1
	.long	.LASF12
	.byte	0x2
	.byte	0x35
	.byte	0x1
	.long	.LFB4
	.long	.LFE4
	.byte	0x1
	.byte	0x9c
	.long	0x15e
	.uleb128 0x8
	.string	"p"
	.byte	0x2
	.byte	0x35
	.long	0x76
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.byte	0x0
	.uleb128 0x10
	.byte	0x1
	.long	.LASF14
	.byte	0x2
	.byte	0x4a
	.byte	0x1
	.long	0x5a
	.long	.LFB5
	.long	.LFE5
	.byte	0x1
	.byte	0x9c
	.long	0x192
	.uleb128 0x8
	.string	"i"
	.byte	0x2
	.byte	0x4a
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x9
	.string	"q"
	.byte	0x2
	.byte	0x4c
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -12
	.byte	0x0
	.uleb128 0xe
	.byte	0x1
	.long	.LASF13
	.byte	0x2
	.byte	0x58
	.byte	0x1
	.long	.LFB6
	.long	.LFE6
	.byte	0x1
	.byte	0x9c
	.long	0x1d1
	.uleb128 0x8
	.string	"buf"
	.byte	0x2
	.byte	0x58
	.long	0x1d1
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x8
	.string	"xx"
	.byte	0x2
	.byte	0x58
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x9
	.string	"i"
	.byte	0x2
	.byte	0x5a
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 -20
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x37
	.uleb128 0x10
	.byte	0x1
	.long	.LASF15
	.byte	0x2
	.byte	0x68
	.byte	0x1
	.long	0x5a
	.long	.LFB7
	.long	.LFE7
	.byte	0x1
	.byte	0x9c
	.long	0x246
	.uleb128 0x11
	.long	.LASF16
	.byte	0x2
	.byte	0x68
	.long	0x5a
	.byte	0x2
	.byte	0x91
	.sleb128 0
	.uleb128 0x11
	.long	.LASF17
	.byte	0x2
	.byte	0x68
	.long	0x246
	.byte	0x2
	.byte	0x91
	.sleb128 4
	.uleb128 0x12
	.long	.LASF18
	.byte	0x2
	.byte	0x6a
	.long	0x1d1
	.byte	0x2
	.byte	0x74
	.sleb128 16
	.uleb128 0x12
	.long	.LASF19
	.byte	0x2
	.byte	0x6b
	.long	0x1d1
	.byte	0x2
	.byte	0x74
	.sleb128 20
	.uleb128 0x12
	.long	.LASF20
	.byte	0x2
	.byte	0x6c
	.long	0x1d1
	.byte	0x2
	.byte	0x74
	.sleb128 24
	.uleb128 0x9
	.string	"xx"
	.byte	0x2
	.byte	0x6d
	.long	0x5a
	.byte	0x2
	.byte	0x74
	.sleb128 28
	.byte	0x0
	.uleb128 0x6
	.byte	0x4
	.long	0x78
	.uleb128 0xb
	.long	0x30
	.long	0x25c
	.uleb128 0xc
	.long	0x30
	.byte	0x3
	.byte	0x0
	.uleb128 0x13
	.long	.LASF21
	.byte	0x2
	.byte	0x8
	.long	0x26e
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	vec0
	.uleb128 0xd
	.long	0x24c
	.uleb128 0x13
	.long	.LASF22
	.byte	0x2
	.byte	0xb
	.long	0x285
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	vec1
	.uleb128 0xd
	.long	0x24c
	.uleb128 0x13
	.long	.LASF23
	.byte	0x2
	.byte	0xe
	.long	0x29c
	.byte	0x1
	.byte	0x5
	.byte	0x3
	.long	vecZ
	.uleb128 0xd
	.long	0x24c
	.byte	0x0
	.section	.debug_abbrev
	.uleb128 0x1
	.uleb128 0x11
	.byte	0x1
	.uleb128 0x25
	.uleb128 0xe
	.uleb128 0x13
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x1b
	.uleb128 0xe
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x10
	.uleb128 0x6
	.byte	0x0
	.byte	0x0
	.uleb128 0x2
	.uleb128 0x16
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0xe
	.byte	0x0
	.byte	0x0
	.uleb128 0x4
	.uleb128 0x24
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x3e
	.uleb128 0xb
	.uleb128 0x3
	.uleb128 0x8
	.byte	0x0
	.byte	0x0
	.uleb128 0x5
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0x6
	.uleb128 0xf
	.byte	0x0
	.uleb128 0xb
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x7
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x8
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x9
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0x8
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xa
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x34
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0xb
	.uleb128 0x1
	.byte	0x1
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xc
	.uleb128 0x21
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2f
	.uleb128 0xb
	.byte	0x0
	.byte	0x0
	.uleb128 0xd
	.uleb128 0x26
	.byte	0x0
	.uleb128 0x49
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xe
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0xf
	.uleb128 0x2e
	.byte	0x0
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x10
	.uleb128 0x2e
	.byte	0x1
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x27
	.uleb128 0xc
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x11
	.uleb128 0x1
	.uleb128 0x12
	.uleb128 0x1
	.uleb128 0x40
	.uleb128 0xa
	.uleb128 0x1
	.uleb128 0x13
	.byte	0x0
	.byte	0x0
	.uleb128 0x11
	.uleb128 0x5
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x12
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.uleb128 0x13
	.uleb128 0x34
	.byte	0x0
	.uleb128 0x3
	.uleb128 0xe
	.uleb128 0x3a
	.uleb128 0xb
	.uleb128 0x3b
	.uleb128 0xb
	.uleb128 0x49
	.uleb128 0x13
	.uleb128 0x3f
	.uleb128 0xc
	.uleb128 0x2
	.uleb128 0xa
	.byte	0x0
	.byte	0x0
	.byte	0x0
	.section	.debug_pubnames,"",@progbits
	.long	0x8d
	.value	0x2
	.long	.Ldebug_info0
	.long	0x2a2
	.long	0xdf
	.string	"do_fxsave"
	.long	0x103
	.string	"do_fxrstor"
	.long	0x127
	.string	"do_zeroise"
	.long	0x13a
	.string	"do_setup_then_fxsave"
	.long	0x15e
	.string	"isFPLsbs"
	.long	0x192
	.string	"show"
	.long	0x1d7
	.string	"main"
	.long	0x25c
	.string	"vec0"
	.long	0x273
	.string	"vec1"
	.long	0x28a
	.string	"vecZ"
	.long	0x0
	.section	.debug_pubtypes,"",@progbits
	.long	0x19
	.value	0x2
	.long	.Ldebug_info0
	.long	0x2a2
	.long	0x25
	.string	"size_t"
	.long	0x0
	.section	.debug_aranges,"",@progbits
	.long	0x1c
	.value	0x2
	.long	.Ldebug_info0
	.byte	0x4
	.byte	0x0
	.value	0x0
	.value	0x0
	.long	.Ltext0
	.long	.Letext0-.Ltext0
	.long	0x0
	.long	0x0
	.section	.debug_str,"MS",@progbits,1
.LASF21:
	.string	"vec0"
.LASF18:
	.string	"buf1"
.LASF19:
	.string	"buf2"
.LASF20:
	.string	"buf3"
.LASF27:
	.string	"size_t"
.LASF14:
	.string	"isFPLsbs"
.LASF12:
	.string	"do_setup_then_fxsave"
.LASF29:
	.string	"__PRETTY_FUNCTION__"
.LASF13:
	.string	"show"
.LASF1:
	.string	"unsigned char"
.LASF23:
	.string	"vecZ"
.LASF3:
	.string	"long unsigned int"
.LASF2:
	.string	"short unsigned int"
.LASF26:
	.string	"/root/genprog-many-bugs/valgrind-bug-12474-12475/valgrind/memcheck/tests/x86"
.LASF28:
	.string	"memalign16"
.LASF11:
	.string	"do_fxrstor"
.LASF15:
	.string	"main"
.LASF10:
	.string	"do_fxsave"
.LASF30:
	.string	"do_zeroise"
.LASF0:
	.string	"unsigned int"
.LASF22:
	.string	"vec1"
.LASF7:
	.string	"long long unsigned int"
.LASF24:
	.string	"GNU C 4.4.5 20101112 (Red Hat 4.4.5-2)"
.LASF16:
	.string	"argc"
.LASF6:
	.string	"long long int"
.LASF9:
	.string	"char"
.LASF5:
	.string	"short int"
.LASF17:
	.string	"argv"
.LASF8:
	.string	"long int"
.LASF4:
	.string	"signed char"
.LASF25:
	.string	"fxsave.c"
	.ident	"GCC: (GNU) 4.4.5 20101112 (Red Hat 4.4.5-2)"
	.section	.note.GNU-stack,"",@progbits
